#!QTCLSH
#
# Copyright (C) 1997 Herrin Software Development, Inc.
# All rights reserved.
#
# This file is part of Qalbums

if {$argc == 0} {
    puts "Usage: $argv0 <RelationName>"
    exit 1
} elseif {[string compare [string index [lindex $argv 0] 0] "-"] == 0} {
    puts "Usage: $argv0 RelationName"
    exit 1
} else {
    set qalbumsname [lindex $argv 0]
}
if {[catch "exec qnewdb $qalbumsname"] != 0} {
    puts "Qalbums database \"$qalbumsname\" creation failed!"
    exit 1
}
file copy -force LIBRARY_DIR/Schema $qalbumsname/Schema
file copy -force LIBRARY_DIR/QddbScript $qalbumsname/QddbScript
file copy -force LIBRARY_DIR/ExcludeWords $qalbumsname/ExcludeWords
puts "Qalbums database \"$qalbumsname\" successfully created."
exit 0

