#!/opt/hsdi/qddb/bin/qwish
lappend auto_path $qddb_library/fx

;# [USER-INSERTED CODE]

        set qtime_library LIBRARY_DIR
        lappend auto_path $qtime_library
        Qalbums_Init

;# [END USER-INSERTED CODE]
set qddbscript(schema) [Fx:Prologue nxqddb {} "" "" ""]
Fx_Menubar menubar -w .menubar -schema \
	$qddbscript(schema) -array gv_attr -config_dir \
	.nxqddb_config -restrict $qddbscript(trans_name)
set qddbscript(search_entry) [menubar SearchForEntry]
frame .fx; pack .fx -side top -expand on -fill both
frame .fx.f0; pack .fx.f0 -side top -expand on -fill both
set qddbscript_frame .fx.f0
;# [USER-INSERTED CODE]

	Qalbums_MenuSetup

;# [END USER-INSERTED CODE]
frame .fx.f0.f0 ; pack .fx.f0.f0 -side top -expand on -fill both
.fx.f0.f0 configure -relief groove -bd 3
pack .fx.f0.f0 -expand on -fill x -side top  
frame .fx.f0.f0.f0 ; pack .fx.f0.f0.f0 -side top -expand on -fill both
Fx_Entry =Artist -w .fx.f0.f0.f0.e0 -attr Artist -setschema $qddbscript(schema) \
	 -searchfor_entry $qddbscript(search_entry) -side left -type Entry -width 10 
.fx.f0.f0.f0.e0 configure -relief flat -bd 0
.fx.f0.f0.f0.e0.f_0.l configure -text Artist/Title
pack .fx.f0.f0.f0.e0 -expand on -fill x -side left  
Fx_Entry =Title -w .fx.f0.f0.f0.e1 -attr Title \
	-side left -type Entry -width 10 
.fx.f0.f0.f0.e1 configure -relief flat -bd 0
.fx.f0.f0.f0.e1.f_0.l configure -text /
pack .fx.f0.f0.f0.e1 -expand on -fill x -side left  
frame .fx.f0.f0.f3 ; pack .fx.f0.f0.f3 -side top -expand on -fill x
.fx.f0.f0.f3 configure -relief flat -bd 0
Fx_Entry =Orchestra -w .fx.f0.f0.f3.e3 -attr Orchestra \
	-side left -type Entry -width 10 
.fx.f0.f0.f3.e3 configure -relief flat -bd 0
.fx.f0.f0.f3.e3.f_0.l configure -text Orchestra/Director
pack .fx.f0.f0.f3.e3 -expand on -fill x -side left  
Fx_Entry =Director -w .fx.f0.f0.f3.e4 -attr Director \
	-side left -type Entry -width 10 
.fx.f0.f0.f3.e4 configure -relief flat -bd 0
.fx.f0.f0.f3.e4.f_0.l configure -text /
pack .fx.f0.f0.f3.e4 -expand on -fill x -side left  
frame .fx.f0.f0.f6 ; pack .fx.f0.f0.f6 -side top -expand on -fill x
.fx.f0.f0.f6 configure -relief flat -bd 0
Fx_Entry =RecordLabel -w .fx.f0.f0.f6.e6 -attr RecordLabel \
	-side left -type Entry -width 10 
.fx.f0.f0.f6.e6 configure -relief flat -bd 0
.fx.f0.f0.f6.e6.f_0.l configure -text Label/Yr/Producer
pack .fx.f0.f0.f6.e6 -expand on -fill x -side left  
Fx_Entry =YearReleased -w .fx.f0.f0.f6.e7 -attr YearReleased \
	-side left -type Entry -width 4 
.fx.f0.f0.f6.e7 configure -relief flat -bd 0
.fx.f0.f0.f6.e7.f_0.l configure -text /
pack .fx.f0.f0.f6.e7 -expand off -fill none -side left  
Fx_Entry =ProducedBy -w .fx.f0.f0.f6.e8 -attr ProducedBy \
	-side left -type Entry -width 10 
.fx.f0.f0.f6.e8 configure -relief flat -bd 0
.fx.f0.f0.f6.e8.f_0.l configure -text /
pack .fx.f0.f0.f6.e8 -expand on -fill x -side left  
frame .fx.f0.f0.f10 ; pack .fx.f0.f0.f10 -side top -expand on -fill x
.fx.f0.f0.f10 configure -relief flat -bd 0
Fx_Entry =Category -w .fx.f0.f0.f10.r10 -attr Category \
	-side left -type Radiobutton -width 10 -height 4 \
	-default_values { {ClassicRock} {Country} {YoungCountry} {Jazz} {Classical} {Bluegrass} }
.fx.f0.f0.f10.r10 configure -relief flat -bd 0
pack .fx.f0.f0.f10.r10 -expand on -fill x -side left  
frame .fx.f0.f0.f12 ; pack .fx.f0.f0.f12 -side top -expand on -fill x
.fx.f0.f0.f12 configure -relief flat -bd 0
Fx_Entry =Rating -w .fx.f0.f0.f12.r12 -attr Rating \
	-side left -type Radiobutton -width 10 -height 1 \
	-default_values { {Awesome} {Good} {Fair} {Poor} {Noise} }
.fx.f0.f0.f12.r12 configure -relief flat -bd 0
pack .fx.f0.f0.f12.r12 -expand on -fill x -side left  
frame .fx.f0.f0.f14 ; pack .fx.f0.f0.f14 -side top -expand on -fill x
.fx.f0.f0.f14 configure -relief flat -bd 0
Fx_Entry =AlbumCover -w .fx.f0.f0.f14.e14 -attr AlbumCover \
	-side left -type Entry -width 10 
.fx.f0.f0.f14.e14 configure -relief flat -bd 0
.fx.f0.f0.f14.e14.f_0.l configure -text Cover
pack .fx.f0.f0.f14.e14 -expand on -fill x -side left  
Fx_Frame =Musicians -w .fx.f0.f1 -side top -attr Musicians -setschema $qddbscript(schema) 
.fx.f0.f1 configure -relief groove -bd 3
pack .fx.f0.f1 -expand on -fill x -side top  
frame .fx.f0.f1.f1 ; pack .fx.f0.f1.f1 -side top -expand on -fill both
Fx_Entry =Musicians.Name -w .fx.f0.f1.f1.e15 -attr Musicians.Name \
	-side left -type Entry -width 10 
.fx.f0.f1.f1.e15 configure -relief flat -bd 0
pack .fx.f0.f1.f1.e15 -expand on -fill x -side left  
=Musicians configure -focus [=Musicians.Name GetEntry]
frame .fx.f0.f1.f17 ; pack .fx.f0.f1.f17 -side top -expand on -fill x
.fx.f0.f1.f17 configure -relief flat -bd 0
Fx_Entry =Musicians.Instrument -w .fx.f0.f1.f17.e17 -attr Musicians.Instrument \
	-side left -type Entry -width 10 
.fx.f0.f1.f17.e17 configure -relief flat -bd 0
pack .fx.f0.f1.f17.e17 -expand on -fill x -side left  
frame .fx.f3 ; pack .fx.f3 -side top -expand on -fill x
.fx.f3 configure -relief flat -bd 0
Fx_Frame =Tracks -w .fx.f3.f3 -attr Tracks -side top 
.fx.f3.f3 configure -relief groove -bd 3
pack .fx.f3.f3 -expand on -fill x -side top  
frame .fx.f3.f3.f2 ; pack .fx.f3.f3.f2 -side top -expand on -fill both
Fx_Entry =Tracks.Name -w .fx.f3.f3.f2.e18 -attr Tracks.Name \
	-side left -type Entry -width 10 
.fx.f3.f3.f2.e18 configure -relief flat -bd 0
.fx.f3.f3.f2.e18.f_0.l configure -text Name/Track#/Duration
pack .fx.f3.f3.f2.e18 -expand on -fill x -side left  
=Tracks configure -focus [=Tracks.Name GetEntry]
Fx_Entry =Tracks.Number -w .fx.f3.f3.f2.e19 -attr Tracks.Number \
	-side left -type Entry -width 4 
.fx.f3.f3.f2.e19 configure -relief flat -bd 0
.fx.f3.f3.f2.e19.f_0.l configure -text /
pack .fx.f3.f3.f2.e19 -expand off -fill none -side left  
Fx_Entry =Tracks.Duration -w .fx.f3.f3.f2.e20 -attr Tracks.Duration \
	-side left -type Entry -width 10 
.fx.f3.f3.f2.e20 configure -relief flat -bd 0
.fx.f3.f3.f2.e20.f_0.l configure -text /
pack .fx.f3.f3.f2.e20 -expand off -fill none -side left  
frame .fx.f3.f3.f22 ; pack .fx.f3.f3.f22 -side top -expand on -fill x
.fx.f3.f3.f22 configure -relief flat -bd 0
Fx_Entry =Tracks.WrittenBy -w .fx.f3.f3.f22.e22 -attr Tracks.WrittenBy \
	-side left -type Entry 
.fx.f3.f3.f22.e22 configure -relief flat -bd 0
.fx.f3.f3.f22.e22.f_0.l configure -text {Written by}
pack .fx.f3.f3.f22.e22 -expand on -fill x -side left  
frame .fx.f3.f3.f24 ; pack .fx.f3.f3.f24 -side top -expand on -fill x
.fx.f3.f3.f24 configure -relief flat -bd 0
NoteBook .fx.f3.f3.f24.nb0 -bd 2
pack .fx.f3.f3.f24.nb0 -side top -expand on -fill x
pack .fx.f3.f3.f24.nb0 -expand on -fill x -side left -padx 5m  
.fx.f3.f3.f24.nb0 insert end tab0 -text Lyrics
frame [.fx.f3.f3.f24.nb0 getframe tab0].f1 ; pack [.fx.f3.f3.f24.nb0 getframe tab0].f1 -side top -expand on -fill both
Fx_Entry =Tracks.Lyrics -w [.fx.f3.f3.f24.nb0 getframe tab0].f1.t1 -attr Tracks.Lyrics \
	-side left -type Text -width 80 -height 4 
[.fx.f3.f3.f24.nb0 getframe tab0].f1.t1 configure -relief flat -bd 0
pack [.fx.f3.f3.f24.nb0 getframe tab0].f1.t1 -expand on -fill x -side left  
set qddbscript_frame [.fx.f3.f3.f24.nb0 getframe tab0].f1
;# [USER-INSERTED CODE]

		pack forget [=Tracks.Lyrics cget -w].f_0.l
		pack [=Tracks.Lyrics cget -w].f_0 -side top -anchor nw
	
;# [END USER-INSERTED CODE]
.fx.f3.f3.f24.nb0 insert end tab1 -text Notes
frame [.fx.f3.f3.f24.nb0 getframe tab1].f3 ; pack [.fx.f3.f3.f24.nb0 getframe tab1].f3 -side top -expand on -fill both
Fx_Entry =Tracks.Comments -w [.fx.f3.f3.f24.nb0 getframe tab1].f3.t3 -attr Tracks.Comments \
	-side left -type Text -width 80 -height 4 
[.fx.f3.f3.f24.nb0 getframe tab1].f3.t3 configure -relief flat -bd 0
pack [.fx.f3.f3.f24.nb0 getframe tab1].f3.t3 -expand on -fill x -side left  
set qddbscript_frame [.fx.f3.f3.f24.nb0 getframe tab1].f3
;# [USER-INSERTED CODE]

		pack forget [=Tracks.Comments cget -w].f_0.l
		pack [=Tracks.Comments cget -w].f_0 -side top -anchor nw
	
;# [END USER-INSERTED CODE]
.fx.f3.f3.f24.nb0 raise tab0
.fx.f3.f3.f24.nb0 compute_size
frame .fx.f5 ; pack .fx.f5 -side top -expand on -fill x
.fx.f5 configure -relief flat -bd 0
frame .fx.f5.f5 ; pack .fx.f5.f5 -side top -expand on -fill both
.fx.f5.f5 configure -relief groove -bd 3
pack .fx.f5.f5 -expand on -fill x -side top  
frame .fx.f5.f5.f3 ; pack .fx.f5.f5.f3 -side top -expand on -fill both
Fx_Entry =Comments -w .fx.f5.f5.f3.t25 -attr Comments \
	-side left -type Text -width 80 -height 4 
.fx.f5.f5.f3.t25 configure -relief flat -bd 0
.fx.f5.f5.f3.t25.f_0.l configure -text {Album comments}
pack .fx.f5.f5.f3.t25 -expand on -fill x -side left  
set qddbscript_frame .fx.f5.f5.f3
;# [USER-INSERTED CODE]
pack [=Comments cget -w].f_0 -side top -anchor nw
;# [END USER-INSERTED CODE]
Fx:Epilogue
	[=Artist cget -w].f_0.l configure -width 21
	[=Orchestra cget -w].f_0.l configure -width 21
	[=RecordLabel cget -w].f_0.l configure -width 21
	[=Category cget -w].f_0.l configure -width 21
	[=Rating cget -w].f_0.l configure -width 21
	[=AlbumCover cget -w].f_0.l configure -width 21
	[=Musicians.Name cget -w].f_0.l configure -width 21
	[=Musicians.Instrument cget -w].f_0.l configure -width 21
	[=Tracks.Name cget -w].f_0.l configure -width 21
	[=Tracks.WrittenBy cget -w].f_0.l configure -width 21

